<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Annotation</title>
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />
    <link
      rel="stylesheet"
      type="text/css"
      href="{{ url_for('static', filename='css/style-vis.css')}}"
    />
    <script
      type="text/javascript"
      src="{{ url_for('static', filename='js/head.load.min.js')}}"
    ></script>
    <script>
      head.js(
        // External libraries
        '{{ url_for("static", filename="js/jquery.min.js")}}',
        '{{ url_for("static", filename="js/jquery.svg.min.js")}}',
        '{{ url_for("static", filename="js/jquery.svgdom.min.js")}}',

        // brat helper modules
        '{{ url_for("static", filename="js/configuration.js")}}',
        '{{ url_for("static", filename="js/util.js")}}',
        '{{ url_for("static", filename="js/annotation_log.js")}}',
        '{{ url_for("static", filename="js/webfont.js")}}',

        // brat modules
        '{{ url_for("static", filename="js/dispatcher.js")}}',
        '{{ url_for("static", filename="js/url_monitor.js")}}',
        '{{ url_for("static", filename="js/visualizer.js")}}',
      );
      var webFontURLs = [
        '{{ url_for("static", filename="fonts/Astloch-Bold.ttf")}}',
        '{{ url_for("static", filename="fonts/PT_Sans-Caption-Web-Regular.ttf")}}',
        '{{ url_for("static", filename="fonts/Liberation_Sans-Regular.ttf")}}',
      ];
      var collData = {
        entity_types: [
          {
            type: 'Process',
            labels: ['Process', 'Proc'],
            bgColor: '#7fa2ff',
            borderColor: 'darken',
          },
          {
            type: 'Data',
            labels: ['Data', 'Dt'],
            bgColor: '#5FA97F',
            borderColor: 'darken',
          },
          {
            type: 'Material',
            labels: ['Material', 'Mtr'],
            bgColor: '#EAB0A2',
            borderColor: 'darken',
          },
          {
            type: 'Method',
            labels: ['Method', 'Mth'],
            bgColor: '#D2B8E5',
            borderColor: 'darken',
          },
        ],
      };
      var docData = {};

      head.ready(function() {
        $('#annotate').on('click', function() {
          $('#annotate').prop('disabled', true);
          $('#annotate').text('Predicting...');
          $('#annotations').hide();
          $('#annotations').empty();
          var text2annotate = $('#text2annotate').val();
          // code
          $.ajax({
            type: 'POST',
            url: "{{url_for('annotator.annotate_text')}}",
            data: {'text2annotate': text2annotate}
          }).done(function(data) {
            $('#annotations').html(
              'Time took for prediction: ' +
                data.time.toFixed(2) +
                ' sec <br /> <div id="result"></div>',
            );
            var docData = data;
            //console.log(data.entities);
            Util.embed(
              // id of the div element where brat should embed the visualisations
              'result',
              // object containing collection data
              collData,
              // object containing document data
              docData,
            );
            $('#annotations').show();
            $('#annotate').prop('disabled', false);
            $('#annotate').text('Annotate');
          });
        });
      });
    </script>
  </head>

  <body>
    <div class="container">
      <div class="row">
        <div class="col">
          <div id="annotatefrom">
            <div class="form-group">
              <label for="text2annotate">Text to annotate</label>
              <textarea class="form-control" id="text2annotate" rows="3">
This investigation examines the effect of manipulating soil microbial community composition and species richness on the development of soil structure over a seven month period in planted (with or without mycorrhizal fungi) and in unplanted macrocosms. The dilution method effectively resulted in soil communities with consistently contrasting levels of species (TRF) richness.
                        </textarea
              >
            </div>
            <button id="annotate" class="btn btn-primary">Annotate</button>
          </div>
        </div>
      </div>
      <div id="annotations"></div>
    </div>
  </body>
</html>
